## golang-github-cznic-ql 1.0.4

=== Makefile ===
# Copyright (c) 2014 The ql Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

.PHONY: all clean nuke

all: editor scanner.go parser.go
	go build
	go vet || true
	golint
	make todo
	go install ./...

bench: all
	go test -run NONE -bench .

clean:
	go clean
	rm -f *~ y.go y.tab.c *.out ql.test

coerce.go: helper/helper.go
	if [ -f coerce.go ] ; then rm coerce.go ; fi
	go run helper/helper.go | gofmt > $@

cover:
	t=$(shell tempfile) ; go test -coverprofile $$t && go tool cover -html $$t && unlink $$t

cpu: ql.test
	go test -c
	./$< -test.bench . -test.cpuprofile cpu.out
	go tool pprof --lines $< cpu.out

editor: ql.y scanner.go parser.go coerce.go
	gofmt -s -l -w *.go
	go test -i
	go test

internalError:
	egrep -ho '"internal error.*"' *.go | sort | cat -n

mem: ql.test
	go test -c
	./$< -test.bench . -test.memprofile mem.out
	go tool pprof --lines --web --alloc_space $< mem.out

nuke:
	go clean -i

parser.go: parser.y
	a=$(shell tempfile) ; \
	  goyacc -o /dev/null -xegen $$a $< ; \
	  goyacc -cr -o $@ -xe $$a $< ; \
	  rm -f $$a
	sed -i -e 's|//line.*||' -e 's/yyEofCode/yyEOFCode/' $@

ql.test: all

ql.y: doc.go
	sed -n '1,/^package/ s/^\/\/  //p' < $< \
		| ebnf2y -o $@ -oe $*.ebnf -start StatementList -pkg $* -p _
	goyacc -cr -o /dev/null $@

scanner.go: scanner.l parser.go
	golex -o $@ $<

todo:
	@grep -n ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alpha:]][[:alnum:]]* *.go *.l parser.y || true
	@grep -n TODO *.go *.l parser.y testdata.ql || true
	@grep -n BUG *.go *.l parser.y || true
	@grep -n println *.go *.l parser.y || true

later:
	@grep -n LATER *.go *.l parser.y || true
	@grep -n MAYBE *.go *.l parser.y || true

=== vendored/github.com/cznic/exp/lldb/Makefile ===
# Copyright 2014 The lldb Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

.PHONY: all editor clean cover nuke

testbin=lldb.test
grep=--include=*.go

all: editor
	go build
	go vet
	golint .
	go install
	make todo

clean:
	go clean
	rm -f *~ cov cov.html bad-dump good-dump lldb.test old.txt new.txt \
		test-acidfiler0-* _test.db _wal

cover:
	t=$(shell tempfile) ; go test -coverprofile $$t && go tool cover -html $$t && unlink $$t

editor:
	gofmt -l -s -w *.go
	go test -i
	go test -timeout 1h
	
mem:
	go test -c
	./$(testbin) -test.bench . -test.memprofile mem.out -test.memprofilerate 1 -test.timeout 24h
	go tool pprof --lines --web --alloc_space $(testbin) mem.out

nuke: clean
	go clean -i

todo:
	@grep -nr $(grep) BUG * || true
	@grep -nr $(grep) LATER * || true
	@grep -nr $(grep) MAYBE * || true
	@grep -nr $(grep) TODO * || true
	@grep -nr $(grep) FIXME * || true
	@grep -nr $(grep) ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alpha:]][[:alnum:]]* * || true
	@grep -nr $(grep) println * || true

## golang-github-cznic-ql 1.0.2

=== debian/changelog ===
golang-github-cznic-ql (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #818648).

    Dedicated to my nephew whose life ended in a car crash...

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 19 Mar 2016 17:54:24 +1100

=== debian/control ===
Source: golang-github-cznic-ql
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
    golang-github-cznic-b-dev,
    golang-github-cznic-bufs-dev,
    golang-github-cznic-mathutil-dev,
    golang-github-cznic-sortutil-dev,
    golang-github-cznic-strutil-dev,
    golang-github-cznic-zappy-dev,
Standards-Version: 3.9.7
Homepage: https://github.com/cznic/ql
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-cznic-ql.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-cznic-ql.git
XS-Go-Import-Path: github.com/cznic/ql

Package: golang-github-cznic-ql-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
    golang-github-cznic-b-dev,
    golang-github-cznic-bufs-dev,
    golang-github-cznic-mathutil-dev,
    golang-github-cznic-sortutil-dev,
    golang-github-cznic-strutil-dev,
    golang-github-cznic-zappy-dev,
Description: pure Go embedded SQL database
 Embedded (S)QL database inplemented in pure Golang.

## golang-github-cznic-ql 1.0.4

=== debian/changelog ===
golang-github-cznic-ql (1.0.4-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 3.9.8.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Jul 2016 15:10:48 +1000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
     golang-github-cznic-sortutil-dev,
     golang-github-cznic-strutil-dev,
     golang-github-cznic-zappy-dev,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/cznic/ql
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-cznic-ql.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-cznic-ql.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-cznic-ql.git
 XS-Go-Import-Path: github.com/cznic/ql
 
 Package: golang-github-cznic-ql-dev

## golang-github-cznic-ql 1.0.6

=== Makefile ===
# Copyright (c) 2014 The ql Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

.PHONY:	all clean cover cpu editor internalError later mem nuke todo edit

grep=--include=*.go --include=*.l --include=*.y --include=*.yy --exclude=ql.y
ngrep='TODOOK\|parser\.go\|scanner\.go\|.*_string\.go'

all: editor scanner.go parser.go
	go vet 2>&1 | grep -v $(ngrep) || true
	golint 2>&1 | grep -v $(ngrep) || true
	make todo
	unused . || true
	misspell *.go
	gosimple || true
	go install ./...

bench: all
	go test -run NONE -bench .

clean:
	go clean
	rm -f *~ y.go y.tab.c *.out *.test

coerce.go: helper/helper.go
	if [ -f coerce.go ] ; then rm coerce.go ; fi
	go run helper/helper.go | gofmt > $@

cover:
	t=$(shell tempfile) ; go test -coverprofile $$t && go tool cover -html $$t && unlink $$t

cpu: clean
	go test -run @ -bench . -cpuprofile cpu.out
	go tool pprof -lines *.test cpu.out

edit:
	@ 1>/dev/null 2>/dev/null gvim -p Makefile *.l *.y *.go testdata.ql testdata.log

editor: ql.y scanner.go parser.go coerce.go
	gofmt -s -l -w *.go
	go test -i
	go test

internalError:
	egrep -ho '"internal error.*"' *.go | sort | cat -n

later:
	@grep -n $(grep) LATER * || true
	@grep -n $(grep) MAYBE * || true

mem: clean
	go test -run @ -bench . -memprofile mem.out -memprofilerate 1 -timeout 24h
	go tool pprof -lines -web -alloc_space *.test mem.out

nuke: clean
	go clean -i

parser.go: parser.y
	a=$(shell tempfile) ; \
	  goyacc -o /dev/null -xegen $$a $< ; \
	  goyacc -cr -o $@ -xe $$a $< ; \
	  rm -f $$a
	sed -i -e 's|//line.*||' -e 's/yyEofCode/yyEOFCode/' $@

ql.y: doc.go
	sed -n '1,/^package/ s/^\/\/  //p' < $< \
		| ebnf2y -o $@ -oe $*.ebnf -start StatementList -pkg $* -p _
	goyacc -cr -o /dev/null $@

scanner.go: scanner.l parser.go
	golex -o $@ $<

todo:
	@grep -nr $(grep) ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alpha:]][[:alnum:]]* * || true
	@grep -nr $(grep) TODO * || true
	@grep -nr $(grep) BUG * || true
	@grep -nr $(grep) [^[:alpha:]]println * || true

=== ql/Makefile ===
# Copyright 2014 The ql Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

.PHONY: all clean nuke

all: editor
	go vet
	go install
	make todo

clean:
	go clean
	rm -f *~ ql

editor:
	go fmt
	go install

todo:
	@grep -n ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alpha:]][[:alnum:]]* *.go || true
	@grep -n TODO *.go || true
	@grep -n BUG *.go || true
	@grep -n println *.go || true

=== debian/changelog ===
golang-github-cznic-ql (1.0.6-2) unstable; urgency=medium

  * Team upload

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Watch file version 5
    Do not package latest upstream which required github.com/cznic/golex
    which is not packaged yet
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Section: s/devel/golang/ (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Do not install usr/bin/ql

 -- Andreas Tille <tille@debian.org>  Sat, 20 Sep 2025 18:36:31 +0200

golang-github-cznic-ql (1.0.6-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 08 Feb 2021 16:13:39 +0100

golang-github-cznic-ql (1.0.6-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depends += "golang-github-cznic-lldb-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 21 Aug 2016 23:26:05 +1000

=== debian/control ===
Source: golang-github-cznic-ql
Standards-Version: 4.7.2
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
 Tim Potter <tpot@hpe.com>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-go,
 golang-github-cznic-b-dev,
 golang-github-cznic-bufs-dev,
 golang-github-cznic-lldb-dev,
 golang-github-cznic-mathutil-dev,
 golang-github-cznic-sortutil-dev,
 golang-github-cznic-strutil-dev,
 golang-github-cznic-zappy-dev,
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cznic-ql
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cznic-ql.git
Homepage: https://github.com/cznic/ql
XS-Go-Import-Path: github.com/cznic/ql

Package: golang-github-cznic-ql-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 golang-go,
 golang-github-cznic-b-dev,
 golang-github-cznic-bufs-dev,
 golang-github-cznic-lldb-dev,
 golang-github-cznic-mathutil-dev,
 golang-github-cznic-sortutil-dev,
 golang-github-cznic-strutil-dev,
 golang-github-cznic-zappy-dev,
Description: pure Go embedded SQL database
 Embedded (S)QL database inplemented in pure Golang.

=== debian/rules ===
#!/usr/bin/make -f

export GOMAXPROCS=2
GOPKG=github.com/cznic/ql

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install -XLICENSE -XCONTRIBUTORS -XAUTHORS

=== debian/watch ===
Version: 5

Template: Github
Owner: cznic
Project: ql
